Subject: Ticket Assigned - need escalation
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 22 Feb 2021 09:32:48 +0000 (UTC)

Hi Mayar nasser mahmoud,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  need escalation User                    My Order #6268562453 dated 29 Jan 2021 is still not delivered. Can you please check?           12:36 PM, 22nd Feb                   mayar                   Hi, Thank you for contacting us. My name is Mayar ,i will be happy to help you.           12:40 PM, 22nd Feb                     User                    My Order #6268562453 dated 29 Jan 2021 is still not delivered. Can you please check?           12:40 PM, 22nd Feb                   mayar                   We have forwarded your query to the concerned team and will be in touch with you asap to assist you in resolving this concern.  We request you to please allow us some time so we can work on this and do the needful.           12:44 PM, 22nd Feb                     User                    ok, can you also check Order #6240784907 dated 10 Nov 2020           12:45 PM, 22nd Feb                   mayar                   could you please tell me what is the issue with this order           12:51 PM, 22nd Feb                   mayar                   Are you still with us?           12:55 PM, 22nd Feb                     User                    I returned few items but refund is not received until today. Its more than 4 months now.           12:56 PM, 22nd Feb                     User                    see           12:57 PM, 22nd Feb                   mayar                   Could you please allow me 2 minutes to check your order details?           01:04 PM, 22nd Feb                   mayar                   We are sorry to tell you the items are not recived from your end           01:07 PM, 22nd Feb                     User                    I have already sent proof that these items were returned back to your warehouse along with return of Order #6241181837 11 Nov 2020           01:10 PM, 22nd Feb                     User                    Items were collected by: 0558766416 on 17 Nov 2020           01:11 PM, 22nd Feb                     User                    See chat with your courier guy           01:13 PM, 22nd Feb                   mayar                   We have forwarded your query to the concerned team and will be in touch with you asap to assist you in resolving this concern.  We request you to please allow us some time so we can work on this and do the needful.           01:16 PM, 22nd Feb                     User                    I have also received call from your office and that person also confirmed that but still refund is not processed. Please note that if you do not resolve my issue today I will raise a complaint with Consumer Protection court at Saudi Arabia along with this chat.           01:16 PM, 22nd Feb                   mayar                   We request you to please allow us some time so we can work on this and do the needful.           01:19 PM, 22nd Feb                   mayar                   Ouur team will contact you           01:19 PM, 22nd Feb                   mayar                   Is there anything else i can help you with?            01:20 PM, 22nd Feb                     User                    Isn't 4 months enough time?           01:20 PM, 22nd Feb                   mayar                   Yes sure it is more than enough but allow the team some time to check and escalate the issue           01:25 PM, 22nd Feb                     User                    ok           01:25 PM, 22nd Feb                   mayar                   we know it is annoying but we will try our best to resolve the issue asap           01:26 PM, 22nd Feb                   mayar                   Is there anything else i can help you with?            01:26 PM, 22nd Feb                     User                    no           01:26 PM, 22nd Feb                   mayar                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           01:30 PM, 22nd Feb                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2138709